Index Page mxmg_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void mxmg_c ( const void    * m1,
                     const void    * m2,
                     SpiceInt        nrow1,
                     SpiceInt        ncol1,
                     SpiceInt        ncol2,
                     void          * mout   )
#### Abstract
       Multiply two double precision matrices of arbitrary size.
#### Required_Reading
       None.
#### Keywords
       MATRIX
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       m1         I   nrow1 X ncol1 double precision matrix.
       m2         I   ncol1 X ncol2 double precision matrix.
       nrow1      I   Row dimension of m1 (and also mout).
       ncol1      I   Column dimension of m1 and row dimension of m2.
       ncol2      I   Column dimension of m2 (and also mout).
       mout       O   nrow1 X ncol2 double precision matrix.
#### Detailed_Input
       m1         is any double precision matrix of arbitrary size.

       m2         is any double precision matrix of arbitrary size.
                  The number of rows in m2 must match the number of
                  columns in m1.

       nrow1      is the number of rows in both m1 and mout.

       ncol1      is the number of columns in m1 and (by necessity)
                  the number of rows of m2.

       ncol2      is the number of columns in both m2 and mout.
#### Detailed_Output
       mout
                  mout is the product matrix defined by

                     mout = (m1) x (m2)

                  mout is a double precision matrix of dimension nrow1 x
                  ncol2.

                  mout may overwrite m1 or m2.  Note that this capability
                  does not exist in the Fortran version of SPICELIB; in the
                  Fortran version, the output must not overwrite either
                  input.
#### Parameters
       None.
#### Exceptions
       1) If dynamic allocation of memory fails, the error
          SPICE(MEMALLOCFAILED) is signalled.
#### Files
       None.
#### Particulars
       The code reflects precisely the following mathematical expression

       For each value of the subscript i from 1 to nrow1, and j from 1
       to ncol2:

          mout(i,j) = Summation from k=1 to ncol1 of  m1(i,k) * m2(k,j)
#### Examples
       Let

          m1 = | 1.0  4.0 |    and  m2 =  | 1.0  3.0  5.0 |
               |          |                               |
               | 2.0  5.0 |               | 2.0  4.0  6.0 |
               |          |
               | 3.0  6.0 |

       and

          nrow1  = 3
          ncol1  = 2
          ncol2  = 3

       Then the call

          mxmg ( m1, m2, nrow1, ncol1, ncol2, mout );

       produces the matrix

          mout = |  9.0  19.0  29.0 |
                 |                  |
                 | 12.0  26.0  40.0 |
                 |                  |
                 | 15.0  33.0  51.0 |
#### Restrictions
       1) No error checking is performed to prevent numeric overflow or
          underflow.

       2) No error checking performed to determine if the input and
          output matrices have, in fact, been correctly dimensioned.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman       (JPL)
       W.M. Owen          (JPL)
#### Version
       -CSPICE Version 1.1.2, 16-JAN-2008   (EDW)

          Corrected typos in header titles:

          Detailed Input to Detailed_Input
          Detailed Output to Detailed_Output

       -CSPICE Version 1.1.1, 10-NOV-2006   (EDW)

          Added Parameters section header.

       -CSPICE Version 1.1.0, 28-AUG-2001 (NJB)

          Const-qualified input arrays.

       -CSPICE Version 1.0.0, 16-APR-1999 (NJB)
#### Index_Entries
       matrix times matrix n-dimensional_case
#### Link to routine mxmg_c source file mxmg_c.c

    Wed Jun  9 13:05:26 2010